[arch-commits] Commit in iputils/repos (10 files)

Stéphane Gaudreault stephane at archlinux.org
Wed Nov 14 16:40:05 UTC 2012


    Date: Wednesday, November 14, 2012 @ 11:40:04
  Author: stephane
Revision: 171003

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  iputils/repos/testing-i686/
  iputils/repos/testing-i686/PKGBUILD
    (from rev 171002, iputils/trunk/PKGBUILD)
  iputils/repos/testing-i686/iputils-20121114-free-unintialized.patch
    (from rev 171002, iputils/trunk/iputils-20121114-free-unintialized.patch)
  iputils/repos/testing-i686/iputils.install
    (from rev 171002, iputils/trunk/iputils.install)
  iputils/repos/testing-i686/tftp.xinetd
    (from rev 171002, iputils/trunk/tftp.xinetd)
  iputils/repos/testing-x86_64/
  iputils/repos/testing-x86_64/PKGBUILD
    (from rev 171002, iputils/trunk/PKGBUILD)
  iputils/repos/testing-x86_64/iputils-20121114-free-unintialized.patch
    (from rev 171002, iputils/trunk/iputils-20121114-free-unintialized.patch)
  iputils/repos/testing-x86_64/iputils.install
    (from rev 171002, iputils/trunk/iputils.install)
  iputils/repos/testing-x86_64/tftp.xinetd
    (from rev 171002, iputils/trunk/tftp.xinetd)

---------------------------------------------------------+
 testing-i686/PKGBUILD                                   |   69 ++++++++++++++
 testing-i686/iputils-20121114-free-unintialized.patch   |   36 +++++++
 testing-i686/iputils.install                            |   10 ++
 testing-i686/tftp.xinetd                                |   10 ++
 testing-x86_64/PKGBUILD                                 |   69 ++++++++++++++
 testing-x86_64/iputils-20121114-free-unintialized.patch |   36 +++++++
 testing-x86_64/iputils.install                          |   10 ++
 testing-x86_64/tftp.xinetd                              |   10 ++
 8 files changed, 250 insertions(+)

Copied: iputils/repos/testing-i686/PKGBUILD (from rev 171002, iputils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=iputils
+pkgver=20121114
+pkgrel=1
+pkgdesc="Network monitoring tools, including ping"
+arch=('i686' 'x86_64')
+license=('GPL' 'BSD')
+url="http://www.skbuff.net/iputils/"
+groups=('base')
+depends=('openssl' 'sysfsutils' 'libcap')
+optdepends=('xinetd: for tftpd')
+makedepends=('docbook2x' 'opensp')
+conflicts=('netkit-base' 'arping' 'netkit-tftpd')
+replaces=('netkit-base')
+backup=(etc/xinetd.d/tftp)
+install=${pkgname}.install
+source=(http://www.skbuff.net/${pkgname}/${pkgname}-s${pkgver}.tar.bz2
+        tftp.xinetd
+        iputils-20121114-free-unintialized.patch)
+sha1sums=('6061bf2ddbf0339b0084eddc33716465b742b82d'
+          'fc2ae26f5609725e3f4aeaf4ab82dfa6d2e378fd'
+          '7f1262f4bed7fa122ea86f09cb81d817adbd8164')
+
+build() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  patch -Np1 -i ../iputils-20121114-free-unintialized.patch
+
+  # Use our CFLAGS
+  sed -i -e "/^CCOPT=/s|-O2|${CFLAGS}|" Makefile
+
+  make
+
+  cd doc
+  for file in *.sgml; do
+    xf=${file/.sgml/.xml}
+    osx -xlower -xno-nl-in-tag $file > $xf || true
+    sed -i "s|<refname>\(.*\), \(.*\)</refname>|<refname>\1</refname>, <refname>\2</refname>|g" $xf
+    docbook2man $xf
+  done
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  install -dm755 "${pkgdir}"/usr/{bin,sbin} "${pkgdir}"/bin
+
+  install -m755 arping clockdiff rarpd rdisc tftpd tracepath tracepath6 \
+    "${pkgdir}"/usr/sbin/
+
+  install -m755 ping{,6} "${pkgdir}"/usr/bin/
+   ln -sf /usr/bin/ping{,6}  "${pkgdir}"/bin/
+
+   install -dm755 "${pkgdir}"/usr/share/man/man8
+   install -m644 doc/{arping,clockdiff,ping,rarpd,rdisc,tftpd,tracepath}.8 \
+     "${pkgdir}"/usr/share/man/man8/
+
+  cd "${pkgdir}"/usr/share/man/man8
+  ln -sf ping.8.gz  ping6.8.gz
+  ln -sf tracepath.8.gz tracepath6.8.gz
+
+  # FS#24768
+  install -dm755 "${pkgdir}"/etc/xinetd.d/
+  install -m644 "${srcdir}"/tftp.xinetd "${pkgdir}"/etc/xinetd.d/tftp
+}

Copied: iputils/repos/testing-i686/iputils-20121114-free-unintialized.patch (from rev 171002, iputils/trunk/iputils-20121114-free-unintialized.patch)
===================================================================
--- testing-i686/iputils-20121114-free-unintialized.patch	                        (rev 0)
+++ testing-i686/iputils-20121114-free-unintialized.patch	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,36 @@
+From: Jan Synacek <jsynacek at redhat.com>
+Date: Wed, 14 Nov 2012 12:57:16 +0000 (+0100)
+Subject: ping: Don't free an unintialized value.
+X-Git-Url: http://www.linux-ipv6.org/gitweb/gitweb.cgi?p=gitroot%2Fiputils.git;a=commitdiff_plain;h=44c6c9a8d3f3fc65fc52e5957bfd4cc4634f0006
+
+ping: Don't free an unintialized value.
+
+Signed-off-by: YOSHIFUJI Hideaki <yoshfuji at linux-ipv6.org>
+---
+
+diff --git a/ping.c b/ping.c
+index fe9ff8a..9de3d08 100644
+--- a/ping.c
++++ b/ping.c
+@@ -122,7 +122,7 @@ main(int argc, char **argv)
+ 	u_char *packet;
+ 	char *target;
+ #ifdef USE_IDN
+-	char *hnamebuf;
++	char *hnamebuf = NULL;
+ #else
+ 	char hnamebuf[MAX_HOSTNAMELEN];
+ #endif
+@@ -263,8 +263,10 @@ main(int argc, char **argv)
+ #ifdef USE_IDN
+ 			int rc;
+ 
+-			free(hnamebuf);
+-			hnamebuf = NULL;
++			if (hnamebuf) {
++				free(hnamebuf);
++				hnamebuf = NULL;
++			}
+ 
+ 			rc = idna_to_ascii_lz(target, &idn, 0);
+ 			if (rc != IDNA_SUCCESS) {

Copied: iputils/repos/testing-i686/iputils.install (from rev 171002, iputils/trunk/iputils.install)
===================================================================
--- testing-i686/iputils.install	                        (rev 0)
+++ testing-i686/iputils.install	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,10 @@
+post_install() {
+  setcap cap_net_raw=ep usr/bin/ping  2>/dev/null || chmod +s usr/bin/ping 
+  setcap cap_net_raw=ep usr/bin/ping6 2>/dev/null || chmod +s usr/bin/ping6
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-i686/tftp.xinetd (from rev 171002, iputils/trunk/tftp.xinetd)
===================================================================
--- testing-i686/tftp.xinetd	                        (rev 0)
+++ testing-i686/tftp.xinetd	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,10 @@
+service tftp
+{
+	socket_type	= dgram
+	protocol	= udp
+	wait		= yes
+	user		= nobody
+	server		= /usr/sbin/tftpd
+	server_args	= /var/tftpboot
+	disable		= yes
+}

Copied: iputils/repos/testing-x86_64/PKGBUILD (from rev 171002, iputils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=iputils
+pkgver=20121114
+pkgrel=1
+pkgdesc="Network monitoring tools, including ping"
+arch=('i686' 'x86_64')
+license=('GPL' 'BSD')
+url="http://www.skbuff.net/iputils/"
+groups=('base')
+depends=('openssl' 'sysfsutils' 'libcap')
+optdepends=('xinetd: for tftpd')
+makedepends=('docbook2x' 'opensp')
+conflicts=('netkit-base' 'arping' 'netkit-tftpd')
+replaces=('netkit-base')
+backup=(etc/xinetd.d/tftp)
+install=${pkgname}.install
+source=(http://www.skbuff.net/${pkgname}/${pkgname}-s${pkgver}.tar.bz2
+        tftp.xinetd
+        iputils-20121114-free-unintialized.patch)
+sha1sums=('6061bf2ddbf0339b0084eddc33716465b742b82d'
+          'fc2ae26f5609725e3f4aeaf4ab82dfa6d2e378fd'
+          '7f1262f4bed7fa122ea86f09cb81d817adbd8164')
+
+build() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  patch -Np1 -i ../iputils-20121114-free-unintialized.patch
+
+  # Use our CFLAGS
+  sed -i -e "/^CCOPT=/s|-O2|${CFLAGS}|" Makefile
+
+  make
+
+  cd doc
+  for file in *.sgml; do
+    xf=${file/.sgml/.xml}
+    osx -xlower -xno-nl-in-tag $file > $xf || true
+    sed -i "s|<refname>\(.*\), \(.*\)</refname>|<refname>\1</refname>, <refname>\2</refname>|g" $xf
+    docbook2man $xf
+  done
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  install -dm755 "${pkgdir}"/usr/{bin,sbin} "${pkgdir}"/bin
+
+  install -m755 arping clockdiff rarpd rdisc tftpd tracepath tracepath6 \
+    "${pkgdir}"/usr/sbin/
+
+  install -m755 ping{,6} "${pkgdir}"/usr/bin/
+   ln -sf /usr/bin/ping{,6}  "${pkgdir}"/bin/
+
+   install -dm755 "${pkgdir}"/usr/share/man/man8
+   install -m644 doc/{arping,clockdiff,ping,rarpd,rdisc,tftpd,tracepath}.8 \
+     "${pkgdir}"/usr/share/man/man8/
+
+  cd "${pkgdir}"/usr/share/man/man8
+  ln -sf ping.8.gz  ping6.8.gz
+  ln -sf tracepath.8.gz tracepath6.8.gz
+
+  # FS#24768
+  install -dm755 "${pkgdir}"/etc/xinetd.d/
+  install -m644 "${srcdir}"/tftp.xinetd "${pkgdir}"/etc/xinetd.d/tftp
+}

Copied: iputils/repos/testing-x86_64/iputils-20121114-free-unintialized.patch (from rev 171002, iputils/trunk/iputils-20121114-free-unintialized.patch)
===================================================================
--- testing-x86_64/iputils-20121114-free-unintialized.patch	                        (rev 0)
+++ testing-x86_64/iputils-20121114-free-unintialized.patch	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,36 @@
+From: Jan Synacek <jsynacek at redhat.com>
+Date: Wed, 14 Nov 2012 12:57:16 +0000 (+0100)
+Subject: ping: Don't free an unintialized value.
+X-Git-Url: http://www.linux-ipv6.org/gitweb/gitweb.cgi?p=gitroot%2Fiputils.git;a=commitdiff_plain;h=44c6c9a8d3f3fc65fc52e5957bfd4cc4634f0006
+
+ping: Don't free an unintialized value.
+
+Signed-off-by: YOSHIFUJI Hideaki <yoshfuji at linux-ipv6.org>
+---
+
+diff --git a/ping.c b/ping.c
+index fe9ff8a..9de3d08 100644
+--- a/ping.c
++++ b/ping.c
+@@ -122,7 +122,7 @@ main(int argc, char **argv)
+ 	u_char *packet;
+ 	char *target;
+ #ifdef USE_IDN
+-	char *hnamebuf;
++	char *hnamebuf = NULL;
+ #else
+ 	char hnamebuf[MAX_HOSTNAMELEN];
+ #endif
+@@ -263,8 +263,10 @@ main(int argc, char **argv)
+ #ifdef USE_IDN
+ 			int rc;
+ 
+-			free(hnamebuf);
+-			hnamebuf = NULL;
++			if (hnamebuf) {
++				free(hnamebuf);
++				hnamebuf = NULL;
++			}
+ 
+ 			rc = idna_to_ascii_lz(target, &idn, 0);
+ 			if (rc != IDNA_SUCCESS) {

Copied: iputils/repos/testing-x86_64/iputils.install (from rev 171002, iputils/trunk/iputils.install)
===================================================================
--- testing-x86_64/iputils.install	                        (rev 0)
+++ testing-x86_64/iputils.install	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,10 @@
+post_install() {
+  setcap cap_net_raw=ep usr/bin/ping  2>/dev/null || chmod +s usr/bin/ping 
+  setcap cap_net_raw=ep usr/bin/ping6 2>/dev/null || chmod +s usr/bin/ping6
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-x86_64/tftp.xinetd (from rev 171002, iputils/trunk/tftp.xinetd)
===================================================================
--- testing-x86_64/tftp.xinetd	                        (rev 0)
+++ testing-x86_64/tftp.xinetd	2012-11-14 16:40:04 UTC (rev 171003)
@@ -0,0 +1,10 @@
+service tftp
+{
+	socket_type	= dgram
+	protocol	= udp
+	wait		= yes
+	user		= nobody
+	server		= /usr/sbin/tftpd
+	server_args	= /var/tftpboot
+	disable		= yes
+}




More information about the arch-commits mailing list